Subject: [alpine-aports] [PATCH] main/ncftp: Upgrade to 3.2.6. Slightly modernize APKBUILD.

From: Przemyslaw Pawelczyk <[email-masked]>
Date: Fri, 2 Dec 2016 21:43:15 +0100

---
 main/ncftp/APKBUILD | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

diff --git a/main/ncftp/APKBUILD b/main/ncftp/APKBUILD
index 6be37f676866..59f984801859 100644
--- a/main/ncftp/APKBUILD
+++ b/main/ncftp/APKBUILD
@@ -1,22 +1,20 @@
 # Maintainer: Carlo Landmeter <[email-masked]>
 pkgname=ncftp
-pkgver=3.2.5
-pkgrel=6
+pkgver=3.2.6
+pkgrel=0
 pkgdesc="A set of free application programs implementing FTP"
 url="http://www.ncftp.com/"
 arch="all"
 license="custom"
-depends=
 makedepends="ncurses-dev"
-install=""
-source="ftp://ftp.$pkgname.com/$pkgname/$pkgname-$pkgver-src.tar.bz2
+source="ftp://ftp.$pkgname.com/$pkgname/$pkgname-$pkgver-src.tar.xz
 	remove-alloca-use.patch"
 subpackages="$pkgname-doc $pkgname-bookmarks"
 
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build () {
-	cd "$_builddir" || return 1
+	cd "$builddir" || return 1
 
 	./configure \
 		--build=$CBUILD \
@@ -26,16 +24,16 @@ build () {
 		--mandir=/usr/share/man \
 		|| return 1
 	
-	cd "$_builddir"/libncftp
+	cd "$builddir"/libncftp
 	make shared || return 1
-	cd "$_builddir" || return 1
+	cd "$builddir" || return 1
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"/libncftp
+	cd "$builddir"/libncftp
 	make PREFIX="${pkgdir}"/usr soinstall || return 1
-	cd "$_builddir" || return 1
+	cd "$builddir" || return 1
 	make DESTDIR="$pkgdir" install || return 1
 	install -D doc/LICENSE.txt \
 		"$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE || return 1
@@ -47,9 +45,9 @@ bookmarks () {
 		"$subpkgdir"/usr/bin/ || return 1
 }
 
-md5sums="b05c7a6d5269c04891f02f43d4312b30  ncftp-3.2.5-src.tar.bz2
+md5sums="9e42d4696754ed49e002b8f719f07d92  ncftp-3.2.6-src.tar.xz
 d13044a36fbd26473dc60ac8357262f6  remove-alloca-use.patch"
-sha256sums="b4ebe2415761a5137cd1d313c8fc1352f26d8963cc9e9e354e29720aa2089d42  ncftp-3.2.5-src.tar.bz2
+sha256sums="7abd3e8f848f0efb4bb6a4bc5da58a59524d4378fc8d70a52adb0fe1fd00b89d  ncftp-3.2.6-src.tar.xz
 e2c22fbfe819f726de086098af6aeda9794ec7fabc1e41e65128ba061efceef4  remove-alloca-use.patch"
-sha512sums="ebd7f618e5a9ac5e59f3e3dbf9b15765e80404416865212c0b2ee7339aafe2296867faf02fad2084e5a6377796e787d5cfc6599ec3f0e544c6b137734cfdc405  ncftp-3.2.5-src.tar.bz2
+sha512sums="040db7e2ca2ee78b79d682a951fd98c1e0ee2936b64462259992d70c51241fa50ae06c66b4f40933ad0ab7122f581bbb8ba7cda764dba5f70a1f8c7d3d751199  ncftp-3.2.6-src.tar.xz
 6d2256d12b4306f6cddaf47cf38c9cedcd6d37ee2b9c4243de5e661b51d8bc991d632754eef77a778890b0c0458ae59fc9a08f34c6901257bd863695d80c4de0  remove-alloca-use.patch"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---